%define name chbg
%define ver 0.7 
%define rel 1
%define prefix /usr

Summary: A desktop background image changer.
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Amusements/Graphics
Source: ftp://www.idata.sk/pub/unix/x11/chbg-%{ver}.tgz
URL: http://www.idata.sk/~ondrej/chbg/index.html
Buildroot: /var/tmp/%{name}-root

%description
The ChBg program will change your desktop background image at set
intervals. ChBg can render images with in five different ways: tiled,
tiled mirrored, maximized image, centered with a selected background
color, and centered and scaled.  ChBg uses the Imlib library for
loading images, so it support many image formats (i.e., anything Imlib
supports). ChBg includes a GUI configuration program, can load setup
files and can be used as a screensaver or as an xscreensaver hack.

%prep
%setup -q

%build
./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

strip $RPM_BUILD_ROOT%{prefix}/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README THANKS chbgrc.sample
%doc chbg_logo.xpm
%{prefix}/bin/chbg
%{prefix}/share/locale/ja/LC_MESSAGES/chbg.mo
%{prefix}/share/locale/sk/LC_MESSAGES/chbg.mo

%changelog
* Tue Nov 2 1999 Tim Powers <timp@redhat.com>
- updated to 0.7

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Wed Aug 4 1999 Tim Powers <timp@redhat.com>
- created spec
- built for Powertools
